import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRDishwasherAlarmClusterNotifyEvent extends _NSObject {
    static alloc(): _MTRDishwasherAlarmClusterNotifyEvent;
    static new(): _MTRDishwasherAlarmClusterNotifyEvent;
    init(): _MTRDishwasherAlarmClusterNotifyEvent;
    active(): _NSNumber;
    setActive$(value: _NSNumber): void;
    inactive(): _NSNumber;
    setInactive$(value: _NSNumber): void;
    state(): _NSNumber;
    setState$(value: _NSNumber): void;
    mask(): _NSNumber;
    setMask$(value: _NSNumber): void;
}
export interface _MTRDishwasherAlarmClusterNotifyEvent extends _NSCopying {
}
